To: Joakim Olsson <joakim.olsson@gbg.mandator.se>
Cc: linux-m68k@lists.linux-m68k.org
Subject: Re: L68K: linux-2.0.31-m68k-pre3
References: <199710262020.VAA13572@valhall.cern.ch>
	<13788701374@novell.gbg.mandator.se>
From: Jes Sorensen <Jes.Sorensen@cern.ch>
Date: 28 Oct 1997 12:33:05 +0100
In-Reply-To: Joakim Olsson's message of Mon, 27 Oct 1997 19:44:30 +0100
Sender: owner-linux-m68k@phil.uni-sb.de

>>>>> "Joakim" == Joakim Olsson <joakim.olsson@gbg.mandator.se> writes:

Joakim> At 19:24 1997-10-27 +0100, Joakim Olsson wrote:
>> At 21:20 1997-10-26 +0100, Jes Sorensen wrote:
>>>  Before I release an official 2.0.31 I need to know whether the
>>> kernel works on the following hardware:
>>> 
>>> A4000T/A4091/WarpEngine SCSI CyberVision 64 CyberVision 3D (only
>>> Z3 mode is supposed to work).
>>> 
>>  Works fine on my A4000/060/50 with CV3D.

Joakim> Hmmm..Just noticed that the colors changed when the
Joakim> screensaver started.

Joakim> Starting X and quitting made them come back to normal again.

You are right, there was a bug in the blank handling - could you try
this patch please.

Thanks for testing.

Jes

--- /tmp/linux20/arch/m68k/amiga/cyberfb.c	Sun Oct 26 18:12:31 1997
+++ arch/m68k/amiga/cyberfb.c	Tue Oct 28 12:23:26 1997
@@ -674,10 +674,6 @@
 {
 	short i;
 
-	/*
-	 * No CV3D blanking yet.
-	 */
-
 	if (CV3D){
 		if (blank)
 			for (i = 0; i < 256; i++){
@@ -691,11 +687,9 @@
 				vgawb_3d(0x3c8, (unsigned char) i);
 				vgawb_3d(0x3c9, Cyber_colour_table[i][0] >> 2);
 				vgawb_3d(0x3c9, Cyber_colour_table[i][1] >> 2);
-				vgawb_3d(0x3c9, Cyber_colour_table[i][0] >> 2);
+				vgawb_3d(0x3c9, Cyber_colour_table[i][2] >> 2);
 			}
 	}else{
-
-		if (blank)
 		if (blank)
 			for (i = 0; i < 256; i++){
 				wb_64(0x3c8, (unsigned char) i);
@@ -708,7 +702,7 @@
 				wb_64(0x3c8, (unsigned char) i);
 				wb_64(0x3c9, Cyber_colour_table[i][0] >> 2);
 				wb_64(0x3c9, Cyber_colour_table[i][1] >> 2);
-				wb_64(0x3c9, Cyber_colour_table[i][0] >> 2);
+				wb_64(0x3c9, Cyber_colour_table[i][2] >> 2);
 			}
 	}
 }
